<?php
//header("Content-Type: text/html;charset=utf-8");




		$syseli="Eliminado";
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['documento'])){$documento=$_REQUEST['documento'];}else{$documento="";}
		if (isset($_REQUEST['empresa'])){$empresa=$_REQUEST['empresa'];}else{$empresa="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		
			/*$query = "SELECT * FROM documentos where codigo='".$documento."' and codemp='".$empresa."' " ;*/
			$query = "select documentos.*,admemp.keyfel,'' as modope,prvtec.rutfel from documentos,licemp,prvtec where prvtec.codprv='dataico' and documentos.codemp=admemp.codfel and documentos.estado!='Eliminado' and documentos.codigo='".$documento."' and documentos.codemp='".$empresa."' ";		
			
			$conng = mysqli_connect('ftp.em-empire.com','sysconex_syscone','6^xTXeGT1Suy','sysconex_syscobd');
	   		$conng-> set_charset("utf8");
	   		if($result = $conng->query($query)) {
   				$nr= $result->num_rows;
				if($nr>=1){
					while($row=mysqli_fetch_assoc($result)) {
			       		$vJson =  $row["estructura"];
           	   		} mysqli_free_result($result);
					
					// Inicializar la petición
					$curl = curl_init();
					// Serializar la factura a JSON
					$isvInvoice = json_encode($vJson);
					/**
					 * - Enviar una factura a la DIAN, en modo pruebas
					 * - Realizar request por metodo POST
 					*/
					curl_setopt_array($curl, array(
    				CURLOPT_URL => "https://api.dataico.com/direct/dataico_api/v2/invoices",
    				CURLOPT_RETURNTRANSFER => true,
    				CURLOPT_ENCODING => "",
    				CURLOPT_MAXREDIRS => 10,
    				CURLOPT_TIMEOUT => 30,
    				CURLOPT_POST => 1,
    				CURLOPT_POSTFIELDS => $isvInvoice,
    				CURLOPT_HTTPHEADER => array(
					// Adicionar cabeceras de autenticación con token Bearer generado  en el panel izquierdo
       				 "auth-token: a4afb1e20e856e8fb031b487efbfd239",
					 //"x-api-key: key-f40695c4e66c43aeb3e2a05c854ced08-001981",
					// Tipo de requerimiento formato json
       				 "content-type: application/json; charset=utf-8",
        			 "cache-control: no-cache",
					 "Access-Control-Allow-Headers: Authorization, Content-Type",
					 "Access-Control-Allow-Origin: *",
        			 "accept: application/json"
   					 )
					));
					// Ejecutar la petición
					$response = curl_exec($curl);
					// Almacenar error en caso de que exista
					$err = curl_error($curl);
					// Mostar respuesta o error si hubo alguno
					if ($err) {
   						 echo "error -> " . $err;
						 // Terminar petición
						curl_close($curl);
					} else {
    					echo $response;
						// Terminar petición
						curl_close($curl);
					}
				}
				echo $vJson;
			}

	
	

?>